import request from '@/utils/request';

// 主管审批列表接口
export function getSummaryApprovalList(query) {
  return request({
    url: '/mobile/summaryMobile/getSummaryApprovalList',
    method: 'get',
    params: query,
  });
}

// 主管任务审批接口
export function changeApproval(data) {
  return request({
    url: '/mobile/summaryMobile/changeApproval',
    method: 'post',
    data,
  });
}

export function getApprovalDetail(query) {
  return request({
    url: '/mobile/summaryMobile/getApprovalDetail',
    method: 'get',
    params: query,
  });
}
